# -*- coding: utf-8 -*-
"""
Created on Fri Jul  3 08:58:47 2020

@author: rdvan, shikha,eline

File with model parameters
The param lists have to be given to the function defining the ode system
"""
import numpy as np

# Scipy solve ode systems
# Define integration spacce
t0 = 0                                # hours
tend = 100                            # hours
tspan = np.linspace(t0,tend,num=tend)


### Initial conditions & Parameters lab experiment (E.coli/T7/GFP) ###

# Parameters for lab experiment
mu_lab = 3                              # bacterial growthrate in LB 1/h
c_lab = 7*8e8                           # carrying capacity 1/ml 
ep_lab = 6.7e-9                         # bacterial contact rate constant ml/h
lambda_lab = 3.57                       # bacterial lysis death rate 1/h
gamma_lab = 2.0                         # phage deathrate 1/h
beta_lab = 179                          # virus replication factor
eta_lab = 0                             # toxin degradation rate 1/h
alpha_lab = 1596                        # toxin produced per cell

# Initial conditions
x_s0_lab = 0.46*8e8                     # Total susceptible bacteria number/ml
x_i0_lab = 0                            # Total infected bacteria number/ml
p0_lab = 3e6                            # Total phage concentration in number/ml


### Initial conditions & Parameters Locust gut ###

# Define parameters for lab experiment
mu_gut = 0.172                          # bacterial growthrate in gut conditions 1/h
c_gut = 3.34e9                          # carrying capacity 1/ml for locust
ep_gut = 2.79e-9                        # bacterial contact rate constant ml/h
lambda_gut = 0.952                      # bacterial lysis death rate 1/h
gamma_gut = 2.0                         # phage deathrate 1/h
beta_gut = 179                          # virus replication factor
eta1_gut = 0.01155                      # cry toxin degradation rate 1/h
alpha_gut = 1552                        # cry toxin produced per cell
eta2_gut = 2.1                          # shRNA degradation rate 1/h 

psi = 0.00000000416                     #rate (1/h) of formation of a non suseptible cell 

# Initial conditions
X_r_gut = 0                             #Total resistant bacteria population in number/mL at t = 0 h.
X_s0_gut = c_gut                        # Total susceptible bacteria number/ml
X_i0_gut = 0                            # Total infected bacteria number/ml
P0_gut = 3e5                            # Total phage concentration in number/ml was 1e5
T10_gut = 0                             # Total initial cry toxin concentration number/ml
T20_gut = 0                             # Total initial RNAi concentration number/ml

# Mass of toxin to change toxin unit from number/ml to microg/ml
mass_T = 129196.5*1.66e-18              # micro g  mass of toxin in Da* ng/Da
mass_GFP = 32.7e3*1.66e-15              # micro g  mass of GFP in Da* ng/Da

param_lab = [mu_lab, c_lab, ep_lab, lambda_lab, gamma_lab, beta_lab, eta_lab, alpha_lab]
param_gut = [mu_gut, c_gut, ep_gut, lambda_gut, gamma_gut, beta_gut, eta1_gut, alpha_gut,eta2_gut, psi]
